VOP_VALLOC(9)

NAME
VOP_VALLOC, VOP_VFREE - Allocate a new inode in the filesystem.

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_VALLOC(struct vnode *pvp, int mode, struct ucred *cred, struct vnode **vpp);
int
VOP_VFREE(struct vnode *pvp, ino_t ino, int mode);

DESCRIPTION

The arguments are:

pvp The parent directory of the new vnode.

mode
    The mode and type of the new vnode.

cred
    The credentials of the caller.

vpp Return parameter for the new vnode.

These calls are used internally by the UFS filesystem to allocate and free filesystem resources.

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.